Bug 1049068 - Execshield stack protection is disabled for ocaml binaries on ppc
Summary: Execshield stack protection is disabled for ocaml binaries on ppc
Keywords:
Status: CLOSED DUPLICATE of bug 990521
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ocaml
Version: 7.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Richard W.M. Jones
QA Contact: qe-baseos-tools-bugs
URL:
Whiteboard:
Depends On: 572826
Blocks: 990521 1214777
TreeView+ depends on / blocked
 
Reported: 2014-01-06 22:29 UTC by Richard W.M. Jones
Modified: 2015-04-23 13:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 572826
Environment:
Last Closed: 2014-01-22 21:30:10 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Richard W.M. Jones 2014-01-06 22:29:04 UTC
+++ This bug was initially created as a clone of Bug #572826 +++

Description of problem:

Execshield stack protection is disabled for various binaries in ocaml package on ppc & ppc64 architectures.

Steps to Reproduce:
[root@auto-ppcp-001 ppc]# execstack /usr/bin/ocamlbuild
X /usr/bin/ocamlbuild
[root@auto-ppcp-001 ppc]# execstack /usr/bin/ocamlc.opt 
X /usr/bin/ocamlc.opt
  
Actual results:
Execshield disabled

Expected results:
Execshield enabled

---

I posted a patch upstream which could fix this and could probably
be adapted for ppc{,64}:

http://caml.inria.fr/mantis/view.php?id=4564

Comment 2 Richard W.M. Jones 2014-01-22 21:30:10 UTC

*** This bug has been marked as a duplicate of bug 990521 ***


Note You need to log in before you can comment on or make changes to this bug.